PipeWire: spa_video_info_raw Struct Reference

PipeWire 0.3.59

Data Fields
spa_video_info_raw Struct Reference
SPA » Parameters

`#include <spa/param/video/raw.h>`

## Data Fields
enum spa_video_format | format
| the format More...
int64_t | modifier
| format modifier only used with DMA-BUF More...
struct spa_rectangle | size
| the frame size of the video More...
struct spa_fraction | framerate
| the framerate of the video, 0/1 means variable rate More...
struct spa_fraction | max_framerate
| the maximum framerate of the video. More...
uint32_t | views
| the number of views in this video More...
enum spa_video_interlace_mode | interlace_mode
| the interlace mode More...
struct spa_fraction | pixel_aspect_ratio
| the pixel aspect ratio More...
enum spa_video_multiview_mode | multiview_mode
| multiview mode More...
enum spa_video_multiview_flags | multiview_flags
| multiview flags More...
enum spa_video_chroma_site | chroma_site
| the chroma siting More...
enum spa_video_color_range | color_range
| the color range. More...
enum spa_video_color_matrix | color_matrix
| the color matrix. More...
enum spa_video_transfer_function | transfer_function
| the transfer function. More...
enum spa_video_color_primaries | color_primaries
| color primaries. More...

## Detailed Description

Examples
  export-sink.c, local-v4l2.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ format

enum spa_video_format spa_video_info_raw::format

the format

Examples
  export-sink.c, local-v4l2.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ modifier

int64_t spa_video_info_raw::modifier

format modifier only used with DMA-BUF

## ◆ size

struct spa_rectangle spa_video_info_raw::size

the frame size of the video

## ◆ framerate

struct spa_fraction spa_video_info_raw::framerate

the framerate of the video, 0/1 means variable rate

## ◆ max_framerate

struct spa_fraction spa_video_info_raw::max_framerate

the maximum framerate of the video.

This is only valid when framerate is 0/1

## ◆ views

uint32_t spa_video_info_raw::views

the number of views in this video

## ◆ interlace_mode

enum spa_video_interlace_mode spa_video_info_raw::interlace_mode

the interlace mode

## ◆ pixel_aspect_ratio

struct spa_fraction spa_video_info_raw::pixel_aspect_ratio

the pixel aspect ratio

## ◆ multiview_mode

enum spa_video_multiview_mode spa_video_info_raw::multiview_mode

multiview mode

## ◆ multiview_flags

enum spa_video_multiview_flags spa_video_info_raw::multiview_flags

multiview flags

## ◆ chroma_site

enum spa_video_chroma_site spa_video_info_raw::chroma_site

the chroma siting

## ◆ color_range

enum spa_video_color_range spa_video_info_raw::color_range

the color range.

This is the valid range for the samples. It is used to convert the samples to Y'PbPr values.

## ◆ color_matrix

enum spa_video_color_matrix spa_video_info_raw::color_matrix

the color matrix.

Used to convert between Y'PbPr and non-linear RGB (R'G'B')

## ◆ transfer_function

enum spa_video_transfer_function spa_video_info_raw::transfer_function

the transfer function.

used to convert between R'G'B' and RGB

## ◆ color_primaries

enum spa_video_color_primaries spa_video_info_raw::color_primaries

color primaries.

used to convert between R'G'B' and CIE XYZ

The documentation for this struct was generated from the following file:

- spa/param/video/raw.h